Skip to content

Replace Bot Defense App Infrastructure.

PUT
/api/config/namespaces/{metadata.namespace}/bot_defense_app_infrastructures/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/bot_defense_app_infrastructures/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "cloud_hosted": { "egress": [ { "ip_address": "example", "location": "AWS_AP_NORTHEAST_1" } ], "infra_host_name": "example", "ingress": [ { "host_name": "example", "ip_address": "example", "location": "AWS_AP_NORTHEAST_1" } ], "region": "US" }, "data_center_hosted": { "egress": [ { "ip_address": "example", "location": "AWS_AP_NORTHEAST_1" } ], "infra_host_name": "example", "ingress": [ { "host_name": "example", "ip_address": "example", "location": "AWS_AP_NORTHEAST_1" } ], "region": "US" }, "environment_type": "PRODUCTION", "traffic_type": "WEB" } }'

Replace a given Bot Defense App Infrastructure in a given namespace.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a bot_defense_app_infrastructure

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
cloud_hosted
object
egress
Egress

Egress

Required: YES.

Array<object>
>= 1 items
Egress

Egress

object
ip_address
IP Address

Egress IP address Required: YES.

string
<= 1024 characters
location
string
default: AWS_AP_NORTHEAST_1
Allowed values: AWS_AP_NORTHEAST_1 AWS_AP_NORTHEAST_3 AWS_AP_SOUTH_1 AWS_AP_SOUTH_2 AWS_AP_SOUTHEAST_1 AWS_AP_SOUTHEAST_2 AWS_AP_SOUTHEAST_3 AWS_EU_CENTRAL_1 AWS_EU_NORTH_1 AWS_EU_WEST_1 AWS_ME_SOUTH_1 AWS_SA_EAST_1 AWS_US_EAST_1 AWS_US_EAST_2 AWS_US_WEST_1 AWS_US_WEST_2 GCP_ASIA_EAST_1 GCP_ASIA_EAST_2 GCP_ASIA_NORTHEAST_1 GCP_ASIA_NORTHEAST_2 GCP_ASIA_NORTHEAST_3 GCP_ASIA_SOUTH_1 GCP_ASIA_SOUTHEAST_1 GCP_ASIA_SOUTHEAST_2 GCP_AUSTRALIA_SOUTHEAST_1 GCP_EUROPE_WEST_1 GCP_EUROPE_WEST_2 GCP_EUROPE_WEST_3 GCP_NORTHAMERICA_NORTHEAST_1 GCP_NORTHAMERICA_NORTHEAST_2 GCP_SOUTHAMERICA_EAST_1 GCP_SOUTHAMERICA_WEST_1 GCP_US_CENTRAL_1 GCP_US_EAST_1 GCP_US_EAST_4 GCP_US_WEST_1 GCP_US_WEST_2
infra_host_name
Infra Host Name

Infra Host Name Required: YES.

string
<= 1024 characters
ingress
Ingress

Ingress

Required: YES.

Array<object>
>= 1 items <= 3 items
Ingress

Ingress

object
host_name
Host Name

Exclusive with [ip_address] Ingress Host Name.

string
<= 1024 characters
ip_address
IP Address

Exclusive with [host_name] Ingress IP Address.

string
<= 1024 characters
location
string
default: AWS_AP_NORTHEAST_1
Allowed values: AWS_AP_NORTHEAST_1 AWS_AP_NORTHEAST_3 AWS_AP_SOUTH_1 AWS_AP_SOUTH_2 AWS_AP_SOUTHEAST_1 AWS_AP_SOUTHEAST_2 AWS_AP_SOUTHEAST_3 AWS_EU_CENTRAL_1 AWS_EU_NORTH_1 AWS_EU_WEST_1 AWS_ME_SOUTH_1 AWS_SA_EAST_1 AWS_US_EAST_1 AWS_US_EAST_2 AWS_US_WEST_1 AWS_US_WEST_2 GCP_ASIA_EAST_1 GCP_ASIA_EAST_2 GCP_ASIA_NORTHEAST_1 GCP_ASIA_NORTHEAST_2 GCP_ASIA_NORTHEAST_3 GCP_ASIA_SOUTH_1 GCP_ASIA_SOUTHEAST_1 GCP_ASIA_SOUTHEAST_2 GCP_AUSTRALIA_SOUTHEAST_1 GCP_EUROPE_WEST_1 GCP_EUROPE_WEST_2 GCP_EUROPE_WEST_3 GCP_NORTHAMERICA_NORTHEAST_1 GCP_NORTHAMERICA_NORTHEAST_2 GCP_SOUTHAMERICA_EAST_1 GCP_SOUTHAMERICA_WEST_1 GCP_US_CENTRAL_1 GCP_US_EAST_1 GCP_US_EAST_4 GCP_US_WEST_1 GCP_US_WEST_2
region
string
default: US
Allowed values: US EU ASIA
data_center_hosted
object
egress
Egress

Egress

Required: YES.

Array<object>
>= 1 items
Egress

Egress

object
ip_address
IP Address

Egress IP address Required: YES.

string
<= 1024 characters
location
string
default: AWS_AP_NORTHEAST_1
Allowed values: AWS_AP_NORTHEAST_1 AWS_AP_NORTHEAST_3 AWS_AP_SOUTH_1 AWS_AP_SOUTH_2 AWS_AP_SOUTHEAST_1 AWS_AP_SOUTHEAST_2 AWS_AP_SOUTHEAST_3 AWS_EU_CENTRAL_1 AWS_EU_NORTH_1 AWS_EU_WEST_1 AWS_ME_SOUTH_1 AWS_SA_EAST_1 AWS_US_EAST_1 AWS_US_EAST_2 AWS_US_WEST_1 AWS_US_WEST_2 GCP_ASIA_EAST_1 GCP_ASIA_EAST_2 GCP_ASIA_NORTHEAST_1 GCP_ASIA_NORTHEAST_2 GCP_ASIA_NORTHEAST_3 GCP_ASIA_SOUTH_1 GCP_ASIA_SOUTHEAST_1 GCP_ASIA_SOUTHEAST_2 GCP_AUSTRALIA_SOUTHEAST_1 GCP_EUROPE_WEST_1 GCP_EUROPE_WEST_2 GCP_EUROPE_WEST_3 GCP_NORTHAMERICA_NORTHEAST_1 GCP_NORTHAMERICA_NORTHEAST_2 GCP_SOUTHAMERICA_EAST_1 GCP_SOUTHAMERICA_WEST_1 GCP_US_CENTRAL_1 GCP_US_EAST_1 GCP_US_EAST_4 GCP_US_WEST_1 GCP_US_WEST_2
infra_host_name
Infra Host Name

Infra Host Name Required: YES.

string
<= 1024 characters
ingress
Ingress

Ingress

Required: YES.

Array<object>
>= 1 items <= 3 items
Ingress

Ingress

object
host_name
Host Name

Exclusive with [ip_address] Ingress Host Name.

string
<= 1024 characters
ip_address
IP Address

Exclusive with [host_name] Ingress IP Address.

string
<= 1024 characters
location
string
default: AWS_AP_NORTHEAST_1
Allowed values: AWS_AP_NORTHEAST_1 AWS_AP_NORTHEAST_3 AWS_AP_SOUTH_1 AWS_AP_SOUTH_2 AWS_AP_SOUTHEAST_1 AWS_AP_SOUTHEAST_2 AWS_AP_SOUTHEAST_3 AWS_EU_CENTRAL_1 AWS_EU_NORTH_1 AWS_EU_WEST_1 AWS_ME_SOUTH_1 AWS_SA_EAST_1 AWS_US_EAST_1 AWS_US_EAST_2 AWS_US_WEST_1 AWS_US_WEST_2 GCP_ASIA_EAST_1 GCP_ASIA_EAST_2 GCP_ASIA_NORTHEAST_1 GCP_ASIA_NORTHEAST_2 GCP_ASIA_NORTHEAST_3 GCP_ASIA_SOUTH_1 GCP_ASIA_SOUTHEAST_1 GCP_ASIA_SOUTHEAST_2 GCP_AUSTRALIA_SOUTHEAST_1 GCP_EUROPE_WEST_1 GCP_EUROPE_WEST_2 GCP_EUROPE_WEST_3 GCP_NORTHAMERICA_NORTHEAST_1 GCP_NORTHAMERICA_NORTHEAST_2 GCP_SOUTHAMERICA_EAST_1 GCP_SOUTHAMERICA_WEST_1 GCP_US_CENTRAL_1 GCP_US_EAST_1 GCP_US_EAST_4 GCP_US_WEST_1 GCP_US_WEST_2
region
string
default: US
Allowed values: US EU ASIA
environment_type
string
default: PRODUCTION
Allowed values: PRODUCTION TESTING
traffic_type
string
default: WEB
Allowed values: WEB MOBILE

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example